## org.eclipse.datatools.sqltools.common.ui.preferences
Interface IDataServerPreferenceSection

All Known Subinterfaces:
  IDataServerLaunchPreferenceSection

    public interface IDataServerPreferenceSection

This section will appear inside a preference page as a Tab for data servers to provide vendor specific preferences. The implementation should be contributed in via the preferenceSections extension point.

Author:
  Dafan Yang, Hui Cao

Method Summary
`Composite` `createSectionComposite(Composite parent)` create the UI section's composite.
`Composite` `getSectionComposite()` get the UI section's composite
`IStatus` `getStatus()` get the validation status of this section.
`void` `loadDefaultPreference(IPreferenceStore store)` load default preferences to this UI section
`void` `loadFromPreferenceStore(IPreferenceStore store)` load preferences to this UI section
`void` `saveToPreferenceStore(IPreferenceStore store)` save the UI section's status to preference store

Method Detail

### loadDefaultPreference

    void loadDefaultPreference(IPreferenceStore store)

  load default preferences to this UI section

  Parameters:
    `store` -

### saveToPreferenceStore

    void saveToPreferenceStore(IPreferenceStore store)

  save the UI section's status to preference store

  Parameters:
    `store` -

### loadFromPreferenceStore

    void loadFromPreferenceStore(IPreferenceStore store)

  load preferences to this UI section

  Parameters:
    `store` -

### getSectionComposite

    Composite getSectionComposite()

  get the UI section's composite

  Returns:

### createSectionComposite

    Composite createSectionComposite(Composite parent)

  create the UI section's composite. Implementing classes should call createSectionComposite first before calling other APIs

  Returns:

### getStatus

    IStatus getStatus()

  get the validation status of this section.

  Returns:

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.